Loading...
Searching...
No Matches
OpenMesh::VHierarchyNodeHandle Struct Reference

Handle for vertex hierarchy nodes. More...

`#include <OpenMesh/Tools/VDPM/VHierarchyNode.hh>`

Inheritance diagram for OpenMesh::VHierarchyNodeHandle:
[legend]
Collaboration diagram for OpenMesh::VHierarchyNodeHandle:
[legend]

## Public Member Functions

| VHierarchyNodeHandle (int _idx=-1)
Public Member Functions inherited from OpenMesh::BaseHandle
| BaseHandle (int _idx=-1)
int | idx () const
| Get the underlying index of this handle.
bool | is_valid () const
| The handle is valid iff the index is not negative.
void | reset ()
| reset handle to be invalid
void | invalidate ()
| reset handle to be invalid
bool | operator== (const BaseHandle &_rhs) const
bool | operator!= (const BaseHandle &_rhs) const
bool | operator< (const BaseHandle &_rhs) const
void | __increment ()
void | __decrement ()
void | __increment (int amount)
void | __decrement (int amount)

## Detailed Description

Handle for vertex hierarchy nodes.

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/VDPM/VHierarchyNode.hh